## org.apache.portals.bridges.jsf
Class ServletRequestHeaderValuesMap

    java.lang.Object
      org.apache.portals.bridges.jsf.AbstractAttributeMap
          org.apache.portals.bridges.jsf.ServletRequestHeaderValuesMap

All Implemented Interfaces:
  Map

public class ServletRequestHeaderValuesMap
extends AbstractAttributeMap

HttpServletRequest header values (multi-value headers) as Map of String[].

Author:
  Apache MyFaces team

Nested Class Summary

Nested classes inherited from class org.apache.portals.bridges.jsf.AbstractAttributeMap
``

Nested classes inherited from class java.util.Map
`Map.Entry`

Field Summary
`private javax.servlet.http.HttpServletRequest` `_httpServletRequest`
`private Map` `_valueCache`

Fields inherited from class org.apache.portals.bridges.jsf.AbstractAttributeMap
``

Constructor Summary
`(package private)` `ServletRequestHeaderValuesMap(javax.servlet.http.HttpServletRequest httpServletRequest)`

Method Summary
`protected Object` `getAttribute(String key)` Gets an attribute given a key.
`protected Enumeration` `getAttributeNames()` Gets the attributes names.
`protected void` `removeAttribute(String key)` Removes an attribute.
`protected void` `setAttribute(String key, Object value)` Sets an attribute given a key/value.
`private String[]` `toArray(Enumeration e)`

Methods inherited from class org.apache.portals.bridges.jsf.AbstractAttributeMap
`clear, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### _httpServletRequest

    private final javax.servlet.http.HttpServletRequest _httpServletRequest

### _valueCache

    private final Map _valueCache

Constructor Detail

### ServletRequestHeaderValuesMap

    ServletRequestHeaderValuesMap(javax.servlet.http.HttpServletRequest httpServletRequest)

Method Detail

### getAttribute

    protected Object getAttribute(String key)

  Description copied from class: `AbstractAttributeMap`

  Gets an attribute given a key.

  Specified by:
    `getAttribute` in class `AbstractAttributeMap`
  Parameters:
    `key` - The key.
  Returns:
    The attribute.

### setAttribute

    protected void setAttribute(String key,
                                Object value)

  Description copied from class: `AbstractAttributeMap`

  Sets an attribute given a key/value.

  Specified by:
    `setAttribute` in class `AbstractAttributeMap`
  Parameters:
    `key` - The key.
    `value` - The value.

### removeAttribute

    protected void removeAttribute(String key)

  Description copied from class: `AbstractAttributeMap`

  Removes an attribute.

  Specified by:
    `removeAttribute` in class `AbstractAttributeMap`
  Parameters:
    `key` - The key.

### getAttributeNames

    protected Enumeration getAttributeNames()

  Description copied from class: `AbstractAttributeMap`

  Gets the attributes names.

  Specified by:
    `getAttributeNames` in class `AbstractAttributeMap`
  Returns:
    An enumeration of attributes names.

### toArray

    private String[] toArray(Enumeration e)

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.